summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbin/dosed8
1 files changed, 6 insertions, 2 deletions
diff --git a/bin/dosed b/bin/dosed
index 5ae09b7ed..97fca715f 100755
--- a/bin/dosed
+++ b/bin/dosed
@@ -3,6 +3,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
+ret=0
mysed="s:${D}::g"
for x in "$@" ; do
@@ -11,10 +12,13 @@ for x in "$@" ; do
if [ -f "${y}" ] ; then
sed -i -e "${mysed}" "${y}"
else
- echo "${y} is not a regular file!"
- exit 1
+ echo "${y} is not a regular file!" >&2
+ false
fi
+ ((ret+=$?))
else
mysed="${x}"
fi
done
+
+exit $ret